using ServiceStack.DataAnnotations;
using ServiceStack.OrmLite;

namespace backend.Database.Migrations;

[Description("Update MyTable")]
internal class Migration1001 : MigrationBase
{
    public override void Up()
    {
        Db.Migrate<Station>();
    }

    public override void Down()
    {
        Db.Revert<Station>();
    }

    private class Station
    {
        [Index] public DateTimeOffset? DeletedAt { get; set; }
    }
}