namespace backend.Models.Trends;

public class DailyPriceTrends
{
    public IEnumerable<DailyPriceAverage> DailyAverages { get; set; }
    public DailyPriceTrendsStatistics Statistics { get; set; }
}

public class DailyPriceTrendsStatistics
{
    public double MaxPriceValue { get; set; } //the absolute max and min of the price values
    public double MinPriceValue { get; set; }
    public double PeriodAverage { get; set; }
    public double DailyAverageMax { get; set; } //the highest/lowest per-day average value
    public double DailyAverageMin { get; set; }
}

public class DailyPriceAverage
{
    public DateTimeOffset Date { get; set; }
    public double AveragePriceValue { get; set; }
}