using backend.Models.Trends;

namespace backend.Services;

public interface IPriceTrendsService
{
    public Task<DailyPriceTrends?> GetDailyPriceTrendsForPeriod(DateTimeOffset startDate,
        DateTimeOffset endDate, string fuelType);

    public Task<DailyPriceTrends?> GetDailyPriceTrendsForPeriodByStationCodes(DateTimeOffset startDate,
        DateTimeOffset endDate, string fuelType, IEnumerable<int> stationCodes);
}