using backend.Models.SuburbBoundariesApi;

namespace backend.Services;

public interface ISuburbBoundariesService
{
    public Task<bool> FetchFeatures();
    public Task<IEnumerable<Suburb>?> GetAllSuburbs();
    public Task<IEnumerable<Suburb>?> GetSuburbsByName(string name);
    public Task<SuburbBoundary?> GetSuburbBoundaryById(string id);
}