using ServiceStack.Data;
using ServiceStack.OrmLite;

namespace backend.Database.Migrations;

public class MigrationService
{
    private readonly IDbConnectionFactory _dbConnectionFactory;

    public MigrationService(IDbConnectionFactory dbConnectionFactory)
    {
        _dbConnectionFactory = dbConnectionFactory;
    }

    public void RunMigration1001()
    {
        Migrator.Up(_dbConnectionFactory, [typeof(Migration1001), typeof(Migration1001)]);
    }
}