using System.Text.Json.Serialization;
using ServiceStack.DataAnnotations;

namespace backend.Models.NswFuelApi;

public class FuelType
{
    [PrimaryKey] public Guid Id { get; init; } = Guid.NewGuid();

    [JsonPropertyName("code")] public string Code { get; set; }

    [JsonPropertyName("name")] public string Name { get; set; }

    [JsonPropertyName("state")] public string State { get; set; }

    public DateTimeOffset CreatedAt { get; set; } = DateTimeOffset.UtcNow;
}