using System.Text.Json.Serialization;

namespace backend.Models.NswFuelApi;

public class LocationPrices
{
    [JsonPropertyName("stations")] public IEnumerable<Station> Stations { get; set; }

    /// <summary>
    ///     Use the PriceWithStationCodeAsInt type, due to the inconsistency in the types returned
    ///     by the onegov API
    /// </summary>
    [JsonPropertyName("prices")]
    public IEnumerable<PriceDto> PriceDtos { get; set; }
}