using backend.Models.NswFuelApi;

namespace backend.Services;

public interface IBrandService
{
    public Task<IEnumerable<BrandType>> GetAllBrands();
    public Task<IEnumerable<BrandType>> GetBrandsByState(string state);
    public Task<IEnumerable<BrandType>> GetBrandsByName(string name);
}