namespace backend.Validators;

public class GlobalControllerValidators : IGlobalControllerValidators
{
    private const int MaxPageSize = 100;

    public bool ValidatePageSize(int requestedPageSize)
    {
        return requestedPageSize <= MaxPageSize;
    }

    public int GetGlobalMaxPageSize()
    {
        return MaxPageSize;
    }
}