"use client";

import { AppShell } from "@mantine/core";
import { ReactElement } from "react";
import Footer from "./footer/Footer";
import { Header } from "./header/Header";

type MainLayoutProps = {
  children: ReactElement;
};

export default function MainLayout(props: MainLayoutProps) {
  return (
    <AppShell>
      <Header />
      <AppShell.Main>{props.children}</AppShell.Main>
      <Footer />
    </AppShell>
  );
}
