import { Anchor, Badge, Container, Stack, Title } from "@mantine/core";

export default function ContactPage() {
  return (
    <Container size="sm">
      <Stack align="center">
        <Title
          order={2}
          size="h1"
          style={{ fontFamily: "Greycliff CF, var(--mantine-font-family)" }}
          fw={900}
          ta="center"
          pb={64}
        >
          Drop us a line.
        </Title>
        <Anchor href="mailto:hello@fuelwizard.au">
          <Badge
            size="xl"
            variant="gradient"
            gradient={{ from: "lime", to: "green", deg: 90 }}
          >
            hello@fuelwizard.au
          </Badge>
        </Anchor>
      </Stack>
    </Container>
  );
}
