import { Container, Text, Title } from "@mantine/core";
import classes from "./not-found.module.css";

export default function NotFoundPage() {
  return (
    <Container className={classes.root}>
      <div className={classes.label}>404 - Not Found</div>
      <Title className={classes.title}>
        Can&apos;t find what you&apos;re looking for.
      </Title>
      <Text c="dimmed" size="lg" ta="center" className={classes.description}>
        The address you typed or clicked might be incorrect, or we might have
        moved a page. Check the navigation links in the header and footer to see
        where you can go.
      </Text>
    </Container>
  );
}
